DCMTK - Feature #144

rework Makefiles based on GNU automake
2000-02-24 00:00 - Marco Eichelberg

Status: Rejected Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour

Target version:
Module: all Compiler:

Operating System:

Description

We could use Gnu Automake for a more consistent Makefile system.
Automake uses "Makefile.am" in each directory to automatically
derive "Makefile.in". It also enables creation of shared libraries

on multiple platforms by using Gnu libtool.

Seems to be a useful re-work of the configuration system.

History

#1 - 2017-03-15 10:42 - Marco Eichelberg
- Description updated

- Status changed from New to Rejected

Since the current plan is to fully move to CMake and give up autoconf, this will not be implemented. Rejecting.
